function setup()
	actor.name = "Hero"
	actor.portrait = "keanu"
	actor.repairCost = 200
	actor.repairTime = 4
	
	--battle dialogue
	actor.addMessage("HERO: Another escort mission? OK, just... try not to crash into anything.", "", 0, 1)
	
	--saved dialogue
	actor.addMessage("HERO: Greetings, I'm on a mission to save humanity!" , "", 5)
	actor.addMessage("CONTRADICTION WE ARE LAST HOPE OF HUMANKIND AND THAT WAS OUR MISSION FIRST" , "stolenrobot", 5)
	actor.addMessage("HERO: Fine, you may join my party. Do try and keep up." , "", 5)
	
	actor.addEvent("boss_hero", 0)
	actor.addEvent("bossfriendly_1", 0)
	actor.addWave("lamjet", 1, 0, "HERO", "survivor", 1)	--adds the wave, but doesn't start a battle
	wave.spawnmode = 2				--start out on the map
	wave.faction = 1					--player's faction
	
	actor.addEvent("if_bossalive", 4)
	actor.addEvent("fleet_hero", 5)
	
	--displayname co-opted as the description
	actor.displayName = "He keeps insisting that he's the last hope of humanity when it's obvious that it's YOU who is the chosen one."
	
	--click dialogue
	actor.addClickText("I am SO COOL.")
	actor.addClickText("It's OK, it's hard to be as badass as I am.")
	actor.addClickText("Why you keep saying the same lines over and over?")
	actor.addClickText("Ugh, NPCs are so lame.")
	actor.addClickText("Have I leveled up yet?")
	actor.addClickText("Shoot the biscuitfish, they give you points lol")
	actor.addClickText("If I click on the character portraits enough, maybe they'll tell me cheats.")
	actor.addClickText("Uhhh... 'power overwhelming'?")
	actor.addClickText("None of these cheats work.")
end